Page MenuHomePhabricator

Epic: Make a tool labs interface for Plagiabot aka Eranbot
Closed, ResolvedPublic

Description

Eranbot, as of right now is not very user-friendly and discoverable. Let's change that.

See https://meta.wikimedia.org/wiki/Community_Tech/Improve_the_plagiarism_detection_bot#Requirements for Requirements list

A tool labs interface would include:

  • OAuth for letting a user sign in and mark an edit as fixed or false positives
  • A screen for all yet-unchecked edits
  • A screen for all checked edits
  • Better UI/UX (thoughts?)
  • Also, a possible gamification of the tool.

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolved TBolliger
Resolved TBolliger
ResolvedNiharika
ResolvedNiharika
OpenNone
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedNiharika
DuplicateNone
ResolvedNiharika
ResolvedNiharika
ResolvedEarwig
ResolvedMusikAnimal
ResolvedNiharika
ResolvedNiharika
ResolvedNiharika
ResolvedNiharika
ResolvedNiharika
OpenNone
OpenNone
ResolvedMusikAnimal
DuplicateNone
ResolvedMusikAnimal
ResolvedMusikAnimal
Resolvedkaldari
DuplicateNone
ResolvedDannyH
ResolvedNiharika
ResolvedDannyH
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
DeclinedNone
DuplicateNone
ResolvedMusikAnimal
OpenNone
DeclinedNone
OpenNone
ResolvedNiharika
ResolvedMusikAnimal
ResolvedNiharika
ResolvedNiharika
ResolvedNiharika
ResolvedMusikAnimal
Resolvedkaldari
DeclinedNone
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedNiharika
DuplicateNone
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
DuplicateMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedDannyH
ResolvedSamwilson
OpenNone
OpenNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Niharika removed Niharika as the assignee of this task.Apr 8 2016, 2:41 PM
Niharika edited projects, added Community-Tech; removed Community-Tech-Sprint.
DannyH updated the task description. (Show Details)Apr 16 2016, 12:19 AM
kaldari updated the task description. (Show Details)May 20 2016, 10:40 PM
Samtar added a subscriber: Samtar.Jun 17 2016, 5:40 PM
Restricted Application added a subscriber: Cyberpower678. · View Herald TranscriptDec 17 2017, 11:10 AM
TBolliger closed this task as Resolved.Feb 23 2018, 11:35 PM
TBolliger claimed this task.
TBolliger moved this task from Older: Team Work to Archive on the Community-Tech board.